aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/build-docker-otp
diff options
context:
space:
mode:
authorBjörn Gustavsson <[email protected]>2017-03-09 15:27:55 +0100
committerBjörn Gustavsson <[email protected]>2017-03-09 15:27:55 +0100
commit1f38a7d26ef86676ad6be0d2bce9b65c1f87253b (patch)
treefb70bcedf4e1c7bb7963d5f8baaf16324da5111a /scripts/build-docker-otp
parenta6073a25aae43d17c8afa9a976cbe310552cb811 (diff)
parenta2a8721ba6770dade9b7cbc9b4d6bf953bb355fd (diff)
downloadotp-1f38a7d26ef86676ad6be0d2bce9b65c1f87253b.tar.gz
otp-1f38a7d26ef86676ad6be0d2bce9b65c1f87253b.tar.bz2
otp-1f38a7d26ef86676ad6be0d2bce9b65c1f87253b.zip
Merge branch 'maint'
* maint: Travis CI: Add building of Erlang/OTP on 32-bit Linux Run the smoke test for both SMP and non-SMP emulator run-smoke-test: Let ERL_TOP default to current working directory build-docker-otp: Avoid copying the git repository to docker daemon builder-docker-otp: Fix passing of command Reduce number of jobs for make Add docker images for building 32/64 bit erlang Travis CI: Change the language to C
Diffstat (limited to 'scripts/build-docker-otp')
-rwxr-xr-xscripts/build-docker-otp15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/build-docker-otp b/scripts/build-docker-otp
new file mode 100755
index 0000000000..01bb0b628e
--- /dev/null
+++ b/scripts/build-docker-otp
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [ $# -lt 1 ]; then
+ echo "Usage $0 32|64 [command] [arg]..."
+ exit 1
+fi
+
+ARCH="$1"
+shift
+
+git archive --format=tar.gz --prefix=otp/ HEAD >scripts/otp.tar.gz
+
+docker build -t otp --file scripts/Dockerfile.$ARCH scripts
+rm scripts/otp.tar.gz
+docker run --volume="$PWD/logs:/buildroot/otp/logs" -i --rm otp ${1+"$@"}